Const DIK_ESCAPE:Int          = $01
Const DIK_1:Int               = $02
Const DIK_2:Int               = $03
Const DIK_3:Int               = $04
Const DIK_4:Int               = $05
Const DIK_5:Int               = $06
Const DIK_6:Int               = $07
Const DIK_7:Int               = $08
Const DIK_8:Int               = $09
Const DIK_9:Int               = $0A
Const DIK_0:Int               = $0B
Const DIK_MINUS:Int           = $0C
Const DIK_EQUALS:Int          = $0D
Const DIK_BACK:Int            = $0E
Const DIK_TAB:Int             = $0F
Const DIK_Q:Int               = $10
Const DIK_W:Int               = $11
Const DIK_E:Int               = $12
Const DIK_R:Int               = $13
Const DIK_T:Int               = $14
Const DIK_Y:Int               = $15
Const DIK_U:Int               = $16
Const DIK_I:Int               = $17
Const DIK_O:Int               = $18
Const DIK_P:Int               = $19
Const DIK_LBRACKET:Int        = $1A
Const DIK_RBRACKET:Int        = $1B
Const DIK_RETURN:Int          = $1C
Const DIK_LCONTROL:Int        = $1D
Const DIK_A:Int               = $1E
Const DIK_S:Int               = $1F
Const DIK_D:Int               = $20
Const DIK_F:Int               = $21
Const DIK_G:Int               = $22
Const DIK_H:Int               = $23
Const DIK_J:Int               = $24
Const DIK_K:Int               = $25
Const DIK_L:Int               = $26
Const DIK_SEMICOLON:Int       = $27
Const DIK_APOSTROPHE:Int      = $28
Const DIK_GRAVE:Int           = $29
Const DIK_LSHIFT:Int          = $2A
Const DIK_BACKSLASH:Int       = $2B
Const DIK_Z:Int               = $2C
Const DIK_X:Int               = $2D
Const DIK_C:Int               = $2E
Const DIK_V:Int               = $2F
Const DIK_B:Int               = $30
Const DIK_N:Int               = $31
Const DIK_M:Int               = $32
Const DIK_COMMA:Int           = $33
Const DIK_PERIOD:Int          = $34
Const DIK_SLASH:Int           = $35
Const DIK_RSHIFT:Int          = $36
Const DIK_MULTIPLY:Int        = $37
Const DIK_LMENU:Int           = $38
Const DIK_SPACE:Int           = $39
Const DIK_CAPITAL:Int         = $3A
Const DIK_F1:Int              = $3B
Const DIK_F2:Int              = $3C
Const DIK_F3:Int              = $3D
Const DIK_F4:Int              = $3E
Const DIK_F5:Int              = $3F
Const DIK_F6:Int              = $40
Const DIK_F7:Int              = $41
Const DIK_F8:Int              = $42
Const DIK_F9:Int              = $43
Const DIK_F10:Int             = $44
Const DIK_NUMLOCK:Int         = $45
Const DIK_SCROLL:Int          = $46
Const DIK_NUMPAD7:Int         = $47
Const DIK_NUMPAD8:Int         = $48
Const DIK_NUMPAD9:Int         = $49
Const DIK_SUBTRACT:Int        = $4A
Const DIK_NUMPAD4:Int         = $4B
Const DIK_NUMPAD5:Int         = $4C
Const DIK_NUMPAD6:Int         = $4D
Const DIK_ADD:Int             = $4E
Const DIK_NUMPAD1:Int         = $4F
Const DIK_NUMPAD2:Int         = $50
Const DIK_NUMPAD3:Int         = $51
Const DIK_NUMPAD0:Int         = $52
Const DIK_DECIMAL:Int         = $53
Const DIK_OEM_102:Int         = $56
Const DIK_F11:Int             = $57
Const DIK_F12:Int             = $58
Const DIK_F13:Int             = $64
Const DIK_F14:Int             = $65
Const DIK_F15:Int             = $66
Const DIK_KANA:Int            = $70
Const DIK_ABNT_C1:Int         = $73
Const DIK_CONVERT:Int         = $79
Const DIK_NOCONVERT:Int       = $7B
Const DIK_YEN:Int             = $7D
Const DIK_ABNT_C2:Int         = $7E
Const DIK_NUMPADEQUALS:Int    = $8D
Const DIK_PREVTRACK:Int       = $90
Const DIK_AT:Int              = $91
Const DIK_COLON:Int           = $92
Const DIK_UNDERLINE:Int       = $93
Const DIK_KANJI:Int           = $94
Const DIK_STOP:Int            = $95
Const DIK_AX:Int              = $96
Const DIK_UNLABELED:Int       = $97
Const DIK_NEXTTRACK:Int       = $99
Const DIK_NUMPADENTER:Int     = $9C
Const DIK_RCONTROL:Int        = $9D
Const DIK_MUTE:Int            = $A0
Const DIK_CALCULATOR:Int      = $A1
Const DIK_PLAYPAUSE:Int       = $A2
Const DIK_MEDIASTOP:Int       = $A4
Const DIK_VOLUMEDOWN:Int      = $AE
Const DIK_VOLUMEUP:Int        = $B0
Const DIK_WEBHOME:Int         = $B2
Const DIK_NUMPADCOMMA:Int     = $B3
Const DIK_DIVIDE:Int          = $B5
Const DIK_SYSRQ:Int           = $B7
Const DIK_RMENU:Int           = $B8
Const DIK_PAUSE:Int           = $C5
Const DIK_HOME:Int            = $C7
Const DIK_UP:Int              = $C8
Const DIK_PRIOR:Int           = $C9
Const DIK_LEFT:Int            = $CB
Const DIK_RIGHT:Int           = $CD
Const DIK_END:Int             = $CF
Const DIK_DOWN:Int            = $D0
Const DIK_NEXT:Int            = $D1
Const DIK_INSERT:Int          = $D2
Const DIK_DELETE:Int          = $D3
Const DIK_LWIN:Int            = $DB
Const DIK_RWIN:Int            = $DC
Const DIK_APPS:Int            = $DD
Const DIK_POWER:Int           = $DE
Const DIK_SLEEP:Int           = $DF
Const DIK_WAKE:Int            = $E3
Const DIK_WEBSEARCH:Int       = $E5
Const DIK_WEBFAVORITES:Int    = $E6
Const DIK_WEBREFRESH:Int      = $E7
Const DIK_WEBSTOP:Int         = $E8
Const DIK_WEBFORWARD:Int      = $E9
Const DIK_WEBBACK:Int         = $EA
Const DIK_MYCOMPUTER:Int      = $EB
Const DIK_MAIL:Int            = $EC
Const DIK_MEDIASELECT:Int     = $ED
Const DIK_BACKSPACE:Int       = DIK_BACK
Const DIK_NUMPADSTAR:Int      = DIK_MULTIPLY
Const DIK_LALT:Int            = DIK_LMENU
Const DIK_CAPSLOCK:Int        = DIK_CAPITAL
Const DIK_NUMPADMINUS:Int     = DIK_SUBTRACT
Const DIK_NUMPADPLUS:Int      = DIK_ADD
Const DIK_NUMPADPERIOD:Int    = DIK_DECIMAL
Const DIK_NUMPADSLASH:Int     = DIK_DIVIDE
Const DIK_RALT:Int            = DIK_RMENU
Const DIK_UPARROW:Int         = DIK_UP
Const DIK_PGUP:Int            = DIK_PRIOR
Const DIK_LEFTARROW:Int       = DIK_LEFT
Const DIK_RIGHTARROW:Int      = DIK_RIGHT
Const DIK_DOWNARROW:Int       = DIK_DOWN
Const DIK_PGDN:Int            = DIK_NEXT
Const DIK_CIRCUMFLEX:Int      = DIK_PREVTRACK

Const FLT_MAX:Double = 3.402823466e+38

Const D3DX_FILTER_NONE:Int            = (1 Shl 0)
Const D3DX_FILTER_POINT:Int           = (2 Shl 0)
Const D3DX_FILTER_LINEAR:Int          = (3 Shl 0)
Const D3DX_FILTER_TRIANGLE:Int        = (4 Shl 0)
Const D3DX_FILTER_BOX:Int             = (5 Shl 0)
Const D3DX_FILTER_MIRROR_U:Int        = (1 Shl 16)
Const D3DX_FILTER_MIRROR_V:Int        = (2 Shl 16)
Const D3DX_FILTER_MIRROR_W:Int        = (4 Shl 16)
Const D3DX_FILTER_MIRROR:Int          = (7 Shl 16)
Const D3DX_FILTER_DITHER:Int          = (8 Shl 16)

Const D3DBLEND_ZERO:Int               = 1
Const D3DBLEND_ONE:Int                = 2
Const D3DBLEND_SRCCOLOR:Int           = 3
Const D3DBLEND_INVSRCCOLOR:Int        = 4
Const D3DBLEND_SRCALPHA:Int           = 5
Const D3DBLEND_INVSRCALPHA:Int        = 6
Const D3DBLEND_DESTALPHA:Int          = 7
Const D3DBLEND_INVDESTALPHA:Int       = 8
Const D3DBLEND_DESTCOLOR:Int          = 9
Const D3DBLEND_INVDESTCOLOR:Int       = 10
Const D3DBLEND_SRCALPHASAT:Int        = 11
Const D3DBLEND_BOTHSRCALPHA:Int       = 12
Const D3DBLEND_BOTHINVSRCALPHA:Int    = 13

Const D3DTEXF_NONE:Int            = 0
Const D3DTEXF_POINT:Int           = 1
Const D3DTEXF_LINEAR:Int          = 2
Const D3DTEXF_ANISOTROPIC:Int     = 3
Const D3DTEXF_FLATCUBIC:Int       = 4
Const D3DTEXF_GAUSSIANCUBIC:Int   = 5

Const D3DTADDRESS_WRAP:Int         = 1
Const D3DTADDRESS_MIRROR:Int       = 2
Const D3DTADDRESS_CLAMP:Int        = 3
Const D3DTADDRESS_BORDER:Int       = 4
Const D3DTADDRESS_MIRRORONCE:Int   = 5

