#ifndef WIN32DLL_EXPORTS

struct ISETTINGS
{
   DWORD dwAdapter;
   DWORD dwDevice;
   DWORD dwMode;
   DWORD MultiSampleType;
   BOOL bFullScreen;
   BOOL bDoNotShow;
   BOOL bVSync;
};

struct CAMERA{DWORD _;};
struct SKYBOX{DWORD _;};
struct BODY{DWORD _;};
struct MESH{DWORD _;};
struct SKINMESH{DWORD _;};
struct SKINMESHBONE{DWORD _;};
struct BODYBODY{DWORD _;};
struct WHEEL{DWORD _;};
struct JOINT{DWORD _;};
struct REPLAYDATA{DWORD _;};
struct ENVMAP{DWORD _;};
struct SPRITE{DWORD _;};
struct TEXTURE{DWORD _;};
struct PARTICLE{DWORD _;};
struct EMITTER{DWORD _;};
struct TRAIL{DWORD _;};
struct TRAILEMITTER{DWORD _;};
struct SUBPART{DWORD _;};
struct FONT{DWORD _;};
struct SPRING{DWORD _;};
struct SOUND{DWORD _;};
struct BODYSYNC{DWORD _;};
struct FLOATSYNC{DWORD _;};

#define DIK_ESCAPE          0x01
#define DIK_1               0x02
#define DIK_2               0x03
#define DIK_3               0x04
#define DIK_4               0x05
#define DIK_5               0x06
#define DIK_6               0x07
#define DIK_7               0x08
#define DIK_8               0x09
#define DIK_9               0x0A
#define DIK_0               0x0B
#define DIK_MINUS           0x0C
#define DIK_EQUALS          0x0D
#define DIK_BACK            0x0E
#define DIK_TAB             0x0F
#define DIK_Q               0x10
#define DIK_W               0x11
#define DIK_E               0x12
#define DIK_R               0x13
#define DIK_T               0x14
#define DIK_Y               0x15
#define DIK_U               0x16
#define DIK_I               0x17
#define DIK_O               0x18
#define DIK_P               0x19
#define DIK_LBRACKET        0x1A
#define DIK_RBRACKET        0x1B
#define DIK_RETURN          0x1C
#define DIK_LCONTROL        0x1D
#define DIK_A               0x1E
#define DIK_S               0x1F
#define DIK_D               0x20
#define DIK_F               0x21
#define DIK_G               0x22
#define DIK_H               0x23
#define DIK_J               0x24
#define DIK_K               0x25
#define DIK_L               0x26
#define DIK_SEMICOLON       0x27
#define DIK_APOSTROPHE      0x28
#define DIK_GRAVE           0x29
#define DIK_LSHIFT          0x2A
#define DIK_BACKSLASH       0x2B
#define DIK_Z               0x2C
#define DIK_X               0x2D
#define DIK_C               0x2E
#define DIK_V               0x2F
#define DIK_B               0x30
#define DIK_N               0x31
#define DIK_M               0x32
#define DIK_COMMA           0x33
#define DIK_PERIOD          0x34
#define DIK_SLASH           0x35
#define DIK_RSHIFT          0x36
#define DIK_MULTIPLY        0x37
#define DIK_LMENU           0x38
#define DIK_SPACE           0x39
#define DIK_CAPITAL         0x3A
#define DIK_F1              0x3B
#define DIK_F2              0x3C
#define DIK_F3              0x3D
#define DIK_F4              0x3E
#define DIK_F5              0x3F
#define DIK_F6              0x40
#define DIK_F7              0x41
#define DIK_F8              0x42
#define DIK_F9              0x43
#define DIK_F10             0x44
#define DIK_NUMLOCK         0x45
#define DIK_SCROLL          0x46
#define DIK_NUMPAD7         0x47
#define DIK_NUMPAD8         0x48
#define DIK_NUMPAD9         0x49
#define DIK_SUBTRACT        0x4A
#define DIK_NUMPAD4         0x4B
#define DIK_NUMPAD5         0x4C
#define DIK_NUMPAD6         0x4D
#define DIK_ADD             0x4E
#define DIK_NUMPAD1         0x4F
#define DIK_NUMPAD2         0x50
#define DIK_NUMPAD3         0x51
#define DIK_NUMPAD0         0x52
#define DIK_DECIMAL         0x53
#define DIK_OEM_102         0x56
#define DIK_F11             0x57
#define DIK_F12             0x58
#define DIK_F13             0x64
#define DIK_F14             0x65
#define DIK_F15             0x66
#define DIK_KANA            0x70
#define DIK_ABNT_C1         0x73
#define DIK_CONVERT         0x79
#define DIK_NOCONVERT       0x7B
#define DIK_YEN             0x7D
#define DIK_ABNT_C2         0x7E
#define DIK_NUMPADEQUALS    0x8D
#define DIK_PREVTRACK       0x90
#define DIK_AT              0x91
#define DIK_COLON           0x92
#define DIK_UNDERLINE       0x93
#define DIK_KANJI           0x94
#define DIK_STOP            0x95
#define DIK_AX              0x96
#define DIK_UNLABELED       0x97
#define DIK_NEXTTRACK       0x99
#define DIK_NUMPADENTER     0x9C
#define DIK_RCONTROL        0x9D
#define DIK_MUTE            0xA0
#define DIK_CALCULATOR      0xA1
#define DIK_PLAYPAUSE       0xA2
#define DIK_MEDIASTOP       0xA4
#define DIK_VOLUMEDOWN      0xAE
#define DIK_VOLUMEUP        0xB0
#define DIK_WEBHOME         0xB2
#define DIK_NUMPADCOMMA     0xB3
#define DIK_DIVIDE          0xB5
#define DIK_SYSRQ           0xB7
#define DIK_RMENU           0xB8
#define DIK_PAUSE           0xC5
#define DIK_HOME            0xC7
#define DIK_UP              0xC8
#define DIK_PRIOR           0xC9
#define DIK_LEFT            0xCB
#define DIK_RIGHT           0xCD
#define DIK_END             0xCF
#define DIK_DOWN            0xD0
#define DIK_NEXT            0xD1
#define DIK_INSERT          0xD2
#define DIK_DELETE          0xD3
#define DIK_LWIN            0xDB
#define DIK_RWIN            0xDC
#define DIK_APPS            0xDD
#define DIK_POWER           0xDE
#define DIK_SLEEP           0xDF
#define DIK_WAKE            0xE3
#define DIK_WEBSEARCH       0xE5
#define DIK_WEBFAVORITES    0xE6
#define DIK_WEBREFRESH      0xE7
#define DIK_WEBSTOP         0xE8
#define DIK_WEBFORWARD      0xE9
#define DIK_WEBBACK         0xEA
#define DIK_MYCOMPUTER      0xEB
#define DIK_MAIL            0xEC
#define DIK_MEDIASELECT     0xED
#define DIK_BACKSPACE       DIK_BACK
#define DIK_NUMPADSTAR      DIK_MULTIPLY
#define DIK_LALT            DIK_LMENU
#define DIK_CAPSLOCK        DIK_CAPITAL
#define DIK_NUMPADMINUS     DIK_SUBTRACT
#define DIK_NUMPADPLUS      DIK_ADD
#define DIK_NUMPADPERIOD    DIK_DECIMAL
#define DIK_NUMPADSLASH     DIK_DIVIDE
#define DIK_RALT            DIK_RMENU
#define DIK_UPARROW         DIK_UP
#define DIK_PGUP            DIK_PRIOR
#define DIK_LEFTARROW       DIK_LEFT
#define DIK_RIGHTARROW      DIK_RIGHT
#define DIK_DOWNARROW       DIK_DOWN
#define DIK_PGDN            DIK_NEXT
#define DIK_CIRCUMFLEX      DIK_PREVTRACK

#define FLT_MAX 3.402823466e+38f

#define D3DX_FILTER_NONE            (1 << 0)
#define D3DX_FILTER_POINT           (2 << 0)
#define D3DX_FILTER_LINEAR          (3 << 0)
#define D3DX_FILTER_TRIANGLE        (4 << 0)
#define D3DX_FILTER_BOX             (5 << 0)
#define D3DX_FILTER_MIRROR_U        (1 << 16)
#define D3DX_FILTER_MIRROR_V        (2 << 16)
#define D3DX_FILTER_MIRROR_W        (4 << 16)
#define D3DX_FILTER_MIRROR          (7 << 16)
#define D3DX_FILTER_DITHER          (8 << 16)

#define D3DBLEND_ZERO               1
#define D3DBLEND_ONE                2
#define D3DBLEND_SRCCOLOR           3
#define D3DBLEND_INVSRCCOLOR        4
#define D3DBLEND_SRCALPHA           5
#define D3DBLEND_INVSRCALPHA        6
#define D3DBLEND_DESTALPHA          7
#define D3DBLEND_INVDESTALPHA       8
#define D3DBLEND_DESTCOLOR          9
#define D3DBLEND_INVDESTCOLOR       10
#define D3DBLEND_SRCALPHASAT        11
#define D3DBLEND_BOTHSRCALPHA       12
#define D3DBLEND_BOTHINVSRCALPHA    13

#define D3DTEXF_NONE            0
#define D3DTEXF_POINT           1
#define D3DTEXF_LINEAR          2
#define D3DTEXF_ANISOTROPIC     3
#define D3DTEXF_FLATCUBIC       4
#define D3DTEXF_GAUSSIANCUBIC   5

#define D3DTADDRESS_WRAP         1
#define D3DTADDRESS_MIRROR       2
#define D3DTADDRESS_CLAMP        3
#define D3DTADDRESS_BORDER       4
#define D3DTADDRESS_MIRRORONCE   5

struct D3DXVECTOR2
{
   float x,y;
   D3DXVECTOR2(float x=0.0f,float y=0.0f)
   {
      this->x = x;
      this->y = y;
   }
   D3DXVECTOR2& operator+= (const D3DXVECTOR2&);
   D3DXVECTOR2& operator-= (const D3DXVECTOR2&);
   D3DXVECTOR2& operator*= (float);
   D3DXVECTOR2& operator/= (float);
   D3DXVECTOR2 operator+ () const;
   D3DXVECTOR2 operator- () const;
   D3DXVECTOR2 operator+ (const D3DXVECTOR2&) const;
   D3DXVECTOR2 operator- (const D3DXVECTOR2&) const;
   D3DXVECTOR2 operator* (float) const;
   D3DXVECTOR2 operator/ (float) const;
   BOOL operator== (const D3DXVECTOR2&) const;
   BOOL operator!= (const D3DXVECTOR2&) const;
};

struct D3DXVECTOR3
{
   float x,y,z;
   D3DXVECTOR3(float x=0.0f,float y=0.0f,float z=0.0f)
   {
      this->x = x;
      this->y = y;
      this->z = z;
   }
   D3DXVECTOR3& operator+= (const D3DXVECTOR3&);
   D3DXVECTOR3& operator-= (const D3DXVECTOR3&);
   D3DXVECTOR3& operator*= (float);
   D3DXVECTOR3& operator/= (float);
   D3DXVECTOR3 operator+ () const;
   D3DXVECTOR3 operator- () const;
   D3DXVECTOR3 operator+ (const D3DXVECTOR3&) const;
   D3DXVECTOR3 operator- (const D3DXVECTOR3&) const;
   D3DXVECTOR3 operator* (float) const;
   D3DXVECTOR3 operator/ (float) const;
   BOOL operator== (const D3DXVECTOR3&) const;
   BOOL operator!= (const D3DXVECTOR3&) const;
};
struct D3DXVECTOR4
{
   float x,y,z,w;
   D3DXVECTOR4(float x=0.0f,float y=0.0f,float z=0.0f,float w=0.0f)
   {
      this->x = x;
      this->y = y;
      this->z = z;
      this->w = w;
   }
   D3DXVECTOR4& operator+= (const D3DXVECTOR4&);
   D3DXVECTOR4& operator-= (const D3DXVECTOR4&);
   D3DXVECTOR4& operator*= (float);
   D3DXVECTOR4& operator/= (float);
   D3DXVECTOR4 operator+ () const;
   D3DXVECTOR4 operator- () const;
   D3DXVECTOR4 operator+ (const D3DXVECTOR4&) const;
   D3DXVECTOR4 operator- (const D3DXVECTOR4&) const;
   D3DXVECTOR4 operator* (float) const;
   D3DXVECTOR4 operator/ (float) const;
   BOOL operator== (const D3DXVECTOR4&) const;
   BOOL operator!= (const D3DXVECTOR4&) const;
};
struct D3DXMATRIX
{
   float _11,_12,_13,_14,_21,_22,_23,_24,_31,_32,_33,_34,_41,_42,_43,_44;
};
struct D3DXQUATERNION
{
   float x,y,z,w;
   D3DXQUATERNION(float x=0.0f,float y=0.0f,float z=0.0f,float w=1.0f)
   {
      this->x = x;
      this->y = y;
      this->z = z;
      this->w = w;
   }
};
struct D3DXPLANE
{
   float a,b,c,d;
};
#ifndef _3IMPACT_EXTERN
D3DXVECTOR2& D3DXVECTOR2::operator+= (const D3DXVECTOR2& v)
{
   this->x += v.x;
   this->y += v.y;
   return *this;
}
D3DXVECTOR2& D3DXVECTOR2::operator-= (const D3DXVECTOR2& v)
{
   this->x -= v.x;
   this->y -= v.y;
   return *this;
}
D3DXVECTOR2& D3DXVECTOR2::operator*= (float f)
{
   this->x *= f;
   this->y *= f;
   return *this;
}
D3DXVECTOR2& D3DXVECTOR2::operator/= (float f)
{
   float fInv = 1.0f/f;
   this->x *= fInv;
   this->y *= fInv;
   return *this;
}
D3DXVECTOR2 D3DXVECTOR2::operator+ () const
{
   return *this;
}
D3DXVECTOR2 D3DXVECTOR2::operator- () const
{
   return D3DXVECTOR2(-this->x,-this->y);
}
D3DXVECTOR2 D3DXVECTOR2::operator+ (const D3DXVECTOR2& v) const
{
   return D3DXVECTOR2(this->x+v.x,this->y+v.y);
}
D3DXVECTOR2 D3DXVECTOR2::operator- (const D3DXVECTOR2& v) const
{
   return D3DXVECTOR2(this->x-v.x,this->y-v.y);
}
D3DXVECTOR2 D3DXVECTOR2::operator* (float f) const
{
   return D3DXVECTOR2(this->x*f,this->y*f);
}
D3DXVECTOR2 D3DXVECTOR2::operator/ (float f) const
{
   float fInv = 1.0f/f;
   return D3DXVECTOR2(this->x*fInv,this->y*fInv);
}
BOOL D3DXVECTOR2::operator== (const D3DXVECTOR2& v) const
{
   return this->x==v.x && this->y==v.y;
}
BOOL D3DXVECTOR2::operator!= (const D3DXVECTOR2& v) const
{
   return this->x!=v.x || this->y!=v.y;
}
D3DXVECTOR3& D3DXVECTOR3::operator+= (const D3DXVECTOR3& v)
{
   this->x += v.x;
   this->y += v.y;
   this->z += v.z;
   return *this;
}
D3DXVECTOR3& D3DXVECTOR3::operator-= (const D3DXVECTOR3& v)
{
   this->x -= v.x;
   this->y -= v.y;
   this->z -= v.z;
   return *this;
}
D3DXVECTOR3& D3DXVECTOR3::operator*= (float f)
{
   this->x *= f;
   this->y *= f;
   this->z *= f;
   return *this;
}
D3DXVECTOR3& D3DXVECTOR3::operator/= (float f)
{
   float fInv = 1.0f/f;
   this->x *= fInv;
   this->y *= fInv;
   this->z *= fInv;
   return *this;
}
D3DXVECTOR3 D3DXVECTOR3::operator+ () const
{
   return *this;
}
D3DXVECTOR3 D3DXVECTOR3::operator- () const
{
   return D3DXVECTOR3(-this->x,-this->y,-this->z);
}
D3DXVECTOR3 D3DXVECTOR3::operator+ (const D3DXVECTOR3& v) const
{
   return D3DXVECTOR3(this->x+v.x,this->y+v.y,this->z+v.z);
}
D3DXVECTOR3 D3DXVECTOR3::operator- (const D3DXVECTOR3& v) const
{
   return D3DXVECTOR3(this->x-v.x,this->y-v.y,this->z-v.z);
}
D3DXVECTOR3 D3DXVECTOR3::operator* (float f) const
{
   return D3DXVECTOR3(this->x*f,this->y*f,this->z*f);
}
D3DXVECTOR3 D3DXVECTOR3::operator/ (float f) const
{
   float fInv = 1.0f/f;
   return D3DXVECTOR3(this->x*fInv,this->y*fInv,this->z*fInv);
}
BOOL D3DXVECTOR3::operator== (const D3DXVECTOR3& v) const
{
   return this->x==v.x && this->y==v.y && this->z==v.z;
}
BOOL D3DXVECTOR3::operator!= (const D3DXVECTOR3& v) const
{
   return this->x!=v.x || this->y!=v.y || this->z!=v.z;
}
D3DXVECTOR4& D3DXVECTOR4::operator+= (const D3DXVECTOR4& v)
{
   this->x += v.x;
   this->y += v.y;
   this->z += v.z;
   this->w += v.w;
   return *this;
}
D3DXVECTOR4& D3DXVECTOR4::operator-= (const D3DXVECTOR4& v)
{
   this->x -= v.x;
   this->y -= v.y;
   this->z -= v.z;
   this->w -= v.w;
   return *this;
}
D3DXVECTOR4& D3DXVECTOR4::operator*= (float f)
{
   this->x *= f;
   this->y *= f;
   this->z *= f;
   this->w *= f;
   return *this;
}
D3DXVECTOR4& D3DXVECTOR4::operator/= (float f)
{
   float fInv = 1.0f/f;
   this->x *= fInv;
   this->y *= fInv;
   this->z *= fInv;
   this->w *= fInv;
   return *this;
}
D3DXVECTOR4 D3DXVECTOR4::operator+ () const
{
   return *this;
}
D3DXVECTOR4 D3DXVECTOR4::operator- () const
{
   return D3DXVECTOR4(-this->x,-this->y,-this->z,-this->w);
}
D3DXVECTOR4 D3DXVECTOR4::operator+ (const D3DXVECTOR4& v) const
{
   return D3DXVECTOR4(this->x+v.x,this->y+v.y,this->z+v.z,this->w+v.w);
}
D3DXVECTOR4 D3DXVECTOR4::operator- (const D3DXVECTOR4& v) const
{
   return D3DXVECTOR4(this->x-v.x,this->y-v.y,this->z-v.z,this->w-v.w);
}
D3DXVECTOR4 D3DXVECTOR4::operator* (float f) const
{
   return D3DXVECTOR4(this->x*f,this->y*f,this->z*f,this->w*f);
}
D3DXVECTOR4 D3DXVECTOR4::operator/ (float f) const
{
   float fInv = 1.0f/f;
   return D3DXVECTOR4(this->x*fInv,this->y*fInv,this->z*fInv,this->w*fInv);
}
BOOL D3DXVECTOR4::operator== (const D3DXVECTOR4& v) const
{
   return this->x==v.x && this->y==v.y && this->z==v.z && this->w==v.w;
}
BOOL D3DXVECTOR4::operator!= (const D3DXVECTOR4& v) const
{
   return this->x!=v.x || this->y!=v.y || this->z!=v.z || this->w!=v.w;
}
#endif

struct MESHVERTEX
{
   D3DXVECTOR3 p;
   D3DXVECTOR3 n;
   float u,v;
};
struct MESHFACE
{
   WORD v0;
   WORD v1;
   WORD v2;
};

struct DIJOYSTATE2
{
   LONG  lX;
   LONG  lY;
   LONG  lZ;
   LONG  lRx;
   LONG  lRy;
   LONG  lRz;
   LONG  rglSlider[2];
   DWORD rgdwPOV[4];
   BYTE  rgbButtons[128];
   LONG  lVX;
   LONG  lVY;
   LONG  lVZ;
   LONG  lVRx;
   LONG  lVRy;
   LONG  lVRz;
   LONG  rglVSlider[2];
   LONG  lAX;
   LONG  lAY;
   LONG  lAZ;
   LONG  lARx;
   LONG  lARy;
   LONG  lARz;
   LONG  rglASlider[2];
   LONG  lFX;
   LONG  lFY;
   LONG  lFZ;
   LONG  lFRx;
   LONG  lFRy;
   LONG  lFRz;
   LONG  rglFSlider[2];
};
#endif

extern "C"
{

WIN32DLL_API BOOL CALLMODE_API i3ImpactIsRendering();
WIN32DLL_API BOOL CALLMODE_API i3ImpactIsActive();
WIN32DLL_API BOOL CALLMODE_API i3ImpactIsReady();
WIN32DLL_API BOOL CALLMODE_API i3ImpactIsExecuting();
WIN32DLL_API BOOL CALLMODE_API i3ImpactIsInitializing();
WIN32DLL_API BOOL CALLMODE_API i3ImpactIsSkippingRunPhase();
WIN32DLL_API BOOL CALLMODE_API i3ImpactIsSkippingRenderPhase();
WIN32DLL_API BOOL CALLMODE_API i3ImpactErrorFlag();

WIN32DLL_API void CALLMODE_API i3ImpactIsRenderingSet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactIsActiveSet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactIsReadySet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactIsExecutingSet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactIsInitializingSet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactIsSkippingRunPhaseSet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactIsSkippingRenderPhaseSet(BOOL);
WIN32DLL_API void CALLMODE_API i3ImpactErrorFlagSet(BOOL);

WIN32DLL_API BOOL CALLMODE_API i3ImpactOpen(HWND,HWND);
WIN32DLL_API BOOL CALLMODE_API i3ImpactSettings(ISETTINGS*);
WIN32DLL_API void CALLMODE_API i3ImpactMain();
WIN32DLL_API void CALLMODE_API i3ImpactInitBegin();
WIN32DLL_API void CALLMODE_API i3ImpactInitEnd();
WIN32DLL_API void CALLMODE_API i3ImpactRunBegin();
WIN32DLL_API void CALLMODE_API i3ImpactRunEnd();
WIN32DLL_API void CALLMODE_API i3ImpactRender();
WIN32DLL_API void CALLMODE_API i3ImpactExitBegin();
WIN32DLL_API void CALLMODE_API i3ImpactExitEnd();
WIN32DLL_API void CALLMODE_API i3ImpactClose();

WIN32DLL_API CAMERA* CALLMODE_API iCameraCreate(float,float,float,float);
WIN32DLL_API void CALLMODE_API iCameraSet(CAMERA*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iCameraAutoWipeSet(CAMERA*,int);
WIN32DLL_API void CALLMODE_API iCameraSpritesOnlySet(CAMERA*,BOOL);
WIN32DLL_API void CALLMODE_API iCameraMirrorEnable(CAMERA*,BOOL);
WIN32DLL_API void CALLMODE_API iCameraPreRenderCallbackEnable(CAMERA*,BOOL);
WIN32DLL_API void CALLMODE_API iCameraFovSet(CAMERA*,float);
WIN32DLL_API float CALLMODE_API iCameraFov(CAMERA*);
WIN32DLL_API void CALLMODE_API iCameraClipDistanceSet(CAMERA*,float);
WIN32DLL_API void CALLMODE_API iCameraEulerOrientationSet(CAMERA*,float,float,float,char*);
WIN32DLL_API void CALLMODE_API iCameraOrientationSet(CAMERA*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iCameraOrientation(CAMERA*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iCameraLocation(CAMERA*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iCameraLocationSet(CAMERA*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iCameraVelocitySet(CAMERA*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iCameraLookAt(CAMERA*,D3DXVECTOR3*,float);
WIN32DLL_API void CALLMODE_API iCameraDestroy(CAMERA*);
WIN32DLL_API void CALLMODE_API iCameraHide(CAMERA*);
WIN32DLL_API void CALLMODE_API iCameraShow(CAMERA*);
WIN32DLL_API void CALLMODE_API iLightDirectionalSet(D3DXVECTOR3*,D3DXVECTOR4*);
WIN32DLL_API void CALLMODE_API iLightLocalLocationSet(int,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iLightLocalColorSet(int,D3DXVECTOR4*);
WIN32DLL_API SKYBOX* CALLMODE_API iSkyBoxCreate(char*);
WIN32DLL_API void CALLMODE_API iSkyBoxHide(SKYBOX*);
WIN32DLL_API void CALLMODE_API iSkyBoxShow(SKYBOX*);
WIN32DLL_API void CALLMODE_API iSkyBoxColorSet(SKYBOX*,float,float,float);
WIN32DLL_API void CALLMODE_API iSkyBoxDestroy(SKYBOX*);
WIN32DLL_API BODY* CALLMODE_API iBodyCreate(char*);
WIN32DLL_API BODY* CALLMODE_API iBodyCreateFromMemory(char*,int,char*,int);
WIN32DLL_API BODY* CALLMODE_API iBodySGCreate(char*,float);
WIN32DLL_API BODY* CALLMODE_API iBodySGCreateFromMemory(char*,int,float);
WIN32DLL_API BODY* CALLMODE_API iBodySphereCreate(float,D3DXVECTOR3*,float);
WIN32DLL_API MESH* CALLMODE_API iBodyMeshCreate(char*,BODY*);
WIN32DLL_API MESH* CALLMODE_API iBodyMeshPartCreate(char*,int,BODY*);
WIN32DLL_API MESH* CALLMODE_API iBodyMeshCreateFromMemory(char*,int,char*,int,int,BODY*);
WIN32DLL_API MESH* CALLMODE_API iBodyMeshPartCreateFromMemory(char*,int,char*,int,int,int,BODY*);
WIN32DLL_API SKINMESH* CALLMODE_API iBodySkinMeshCreate(char*,char*,BODY*);
WIN32DLL_API MESH* CALLMODE_API iBodyMeshBumpCreate(char*,char*,BOOL,BODY*);
WIN32DLL_API void CALLMODE_API iBodyDampingSet(BODY*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iBodyDamping2Set(BODY*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iBodyDirectionalLinearDampingSet(BODY*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iBodyDirectionalAngularDampingSet(BODY*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iBodyDisable(BODY*);
WIN32DLL_API void CALLMODE_API iBodyEnable(BODY*);
WIN32DLL_API int CALLMODE_API iBodyStatus(BODY*);
WIN32DLL_API BODYBODY* CALLMODE_API iBodyBodyCreate(BODY*,BODY*);
WIN32DLL_API WHEEL* CALLMODE_API iWheelCreate(BODY*,BODY*,D3DXVECTOR3*,D3DXQUATERNION*);
WIN32DLL_API JOINT* CALLMODE_API iJointBallCreate(BODY*,BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iJointBallOrientationSet(JOINT*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iJointBallLocation(JOINT*,D3DXVECTOR3*);
WIN32DLL_API JOINT* CALLMODE_API iJointHingeCreate(BODY*,BODY*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API JOINT* CALLMODE_API iJointSliderCreate(BODY*,BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iJointDestroy(JOINT*);
WIN32DLL_API void CALLMODE_API iJointBallXStopsSet(JOINT*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iJointBallXAMotorSet(JOINT*,float,float,float);
WIN32DLL_API void CALLMODE_API iJointBallYStopsSet(JOINT*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iJointBallYAMotorSet(JOINT*,float,float,float);
WIN32DLL_API void CALLMODE_API iJointBallZStopsSet(JOINT*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iJointBallZAMotorSet(JOINT*,float,float,float);
WIN32DLL_API void CALLMODE_API iJointHingeStopsSet(JOINT*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iJointHingeAMotorSet(JOINT*,float,float,float);
WIN32DLL_API void CALLMODE_API iJointSliderStopsSet(JOINT*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iJointSliderForceSet(JOINT*,float,float,float);
WIN32DLL_API void CALLMODE_API iJointFeedbackEnable(JOINT*,BOOL);
WIN32DLL_API void CALLMODE_API iJointFeedback(JOINT*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyBodyRestitutionSet(BODYBODY*,float);
WIN32DLL_API void CALLMODE_API iBodyBodyFrictionSet(BODYBODY*,float);
WIN32DLL_API void CALLMODE_API iBodyBodyFrictionModelSet(BODYBODY*,int);
WIN32DLL_API void CALLMODE_API iBodyBodySplitFrictionSet(BODYBODY*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iBodyBodySubpartRestitutionSet(BODYBODY*,int,int,float);
WIN32DLL_API void CALLMODE_API iBodyBodySubpartFrictionSet(BODYBODY*,int,int,float);
WIN32DLL_API void CALLMODE_API iBodyBodySubpartFrictionModelSet(BODYBODY*,int,int,int);
WIN32DLL_API void CALLMODE_API iBodyBodySubpartSplitFrictionSet(BODYBODY*,int,int,float,float,float,float);
WIN32DLL_API void CALLMODE_API iBodyBodyDestroy(BODYBODY*);
WIN32DLL_API void CALLMODE_API iWheelDestroy(WHEEL*);
WIN32DLL_API void CALLMODE_API iWheelSteeringAngleSet(WHEEL*,float);
WIN32DLL_API void CALLMODE_API iWheelSpinSet(WHEEL*,float);
WIN32DLL_API void CALLMODE_API iWheelPowerSet(WHEEL*,float);
WIN32DLL_API void CALLMODE_API iWheelSuspensionSet(WHEEL*,float,float);
WIN32DLL_API void CALLMODE_API iBodyBodyFeedbackEnable(BODYBODY*,int,int,BOOL);
WIN32DLL_API BOOL CALLMODE_API iBodyBodyFeedback(BODYBODY*,int,int,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API int CALLMODE_API iBodyScan(BODY*,D3DXVECTOR3*,D3DXVECTOR3*,float,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyEulerOrientationSet(BODY*,float,float,float,char*,BOOL);
WIN32DLL_API void CALLMODE_API iBodyOrientationSet(BODY*,D3DXQUATERNION*,BOOL);
WIN32DLL_API float CALLMODE_API iBodyOrientationSeek(BODY*,D3DXQUATERNION*,float);
WIN32DLL_API void CALLMODE_API iBodyLocationSet(BODY*,D3DXVECTOR3*,BOOL);
WIN32DLL_API void CALLMODE_API iBodyLocationCMSet(BODY*,D3DXVECTOR3*,BOOL);
WIN32DLL_API void CALLMODE_API iBodySpinSet(BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyVelocitySet(BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyPhysicsReset(BODY* body);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iBodyLocationCM(BODY*,D3DXVECTOR3*);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iBodyCMOffset(BODY*,D3DXVECTOR3*);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iBodyLocation(BODY*,D3DXVECTOR3*);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iBodyPreviousLocation(BODY*,D3DXVECTOR3*);
WIN32DLL_API D3DXQUATERNION* CALLMODE_API iBodyOrientation(BODY*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iQuaternionToAxisAngle(D3DXQUATERNION*,D3DXVECTOR3*,float*);
WIN32DLL_API void CALLMODE_API iQuaternionFromAxisAngle(D3DXQUATERNION*,D3DXVECTOR3*,float);
WIN32DLL_API void CALLMODE_API iQuaternionFromEulerAngles(D3DXQUATERNION*,float,float,float,char*);
WIN32DLL_API void CALLMODE_API iQuaternionToEulerAngles(D3DXQUATERNION*,float*,float*,float*);
WIN32DLL_API float CALLMODE_API iBodyYaw(BODY*);
WIN32DLL_API float CALLMODE_API iBodyPitch(BODY*);
WIN32DLL_API float CALLMODE_API iBodyRoll(BODY*);
WIN32DLL_API float CALLMODE_API iBodyKmh(BODY* body);
WIN32DLL_API void CALLMODE_API iBodyVelocity(BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyPointVelocity(BODY*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodySpin(BODY*,D3DXVECTOR3*);
WIN32DLL_API int CALLMODE_API iBodySphereCount(BODY*);
WIN32DLL_API SUBPART* CALLMODE_API iBodySphere(BODY*,int);
WIN32DLL_API void CALLMODE_API iBodySphereCenter(SUBPART*,D3DXVECTOR3*);
WIN32DLL_API float CALLMODE_API iBodySphereRadius(SUBPART*);
WIN32DLL_API BOOL CALLMODE_API iBodyEnteringMesh(BODY*,D3DXVECTOR3*,MESH*);
WIN32DLL_API BOOL CALLMODE_API iBodyExitingMesh(BODY*,D3DXVECTOR3*,MESH*);
WIN32DLL_API void CALLMODE_API iBodyForceApply(BODY*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyAccelerationApply(BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyTorqueApply(BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyAngularAccelerationApply(BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBodyLocationAdd(BODY*,D3DXVECTOR3*,BOOL);
WIN32DLL_API void CALLMODE_API iBodyEulerOrientationAdd(BODY*,float,float,float,char*,BOOL);
WIN32DLL_API void CALLMODE_API iBodyOrientationAdd(BODY*,D3DXQUATERNION*,BOOL);
WIN32DLL_API REPLAYDATA* CALLMODE_API iReplayDataCreate(int,float);
WIN32DLL_API void CALLMODE_API iReplayDataDestroy(REPLAYDATA*);
WIN32DLL_API BOOL CALLMODE_API iReplayDataRecord(REPLAYDATA*,float*);
WIN32DLL_API BOOL CALLMODE_API iReplayDataPlay(REPLAYDATA*,float*,BOOL);
WIN32DLL_API void CALLMODE_API iReplayDataRecordReset(REPLAYDATA*);
WIN32DLL_API void CALLMODE_API iReplayDataPlayReset(REPLAYDATA*);
WIN32DLL_API int CALLMODE_API iReplayDataPlayPosition(REPLAYDATA*);
WIN32DLL_API void CALLMODE_API iReplayDataPlayPositionSet(REPLAYDATA*,int);
WIN32DLL_API void CALLMODE_API iReplayDataWrite(REPLAYDATA*,HANDLE);
WIN32DLL_API void CALLMODE_API iReplayDataRead(REPLAYDATA*,HANDLE);
WIN32DLL_API float CALLMODE_API iReplayDataTime(REPLAYDATA*);
WIN32DLL_API void CALLMODE_API iBodyDestroy(BODY*);
WIN32DLL_API void CALLMODE_API iBodyMassSet(BODY*,float);
WIN32DLL_API MESH* CALLMODE_API iMeshCreate(char*);
WIN32DLL_API MESH* CALLMODE_API iMeshPartCreate(char*,int);
WIN32DLL_API MESH* CALLMODE_API iMeshCreateFromMemory(char*,int,char*,int,int);
WIN32DLL_API MESH* CALLMODE_API iMeshPartCreateFromMemory(char*,int,char*,int,int,int);
WIN32DLL_API SKINMESH* CALLMODE_API iSkinMeshCreate(char*,char*);
WIN32DLL_API SKINMESH* CALLMODE_API iSkinMeshCreateFromMemory(char*,int,char**,int*,char*);
WIN32DLL_API SKINMESH* CALLMODE_API iBodySkinMeshCreateFromMemory(char*,int,char**,int*,char*,BODY*);
WIN32DLL_API void CALLMODE_API iMeshEulerOrientationSet(MESH*,float,float,float,char*);
WIN32DLL_API void CALLMODE_API iSkinMeshEulerOrientationSet(SKINMESH*,float,float,float,char*);
WIN32DLL_API void CALLMODE_API iMeshOrientationSet(MESH*,D3DXQUATERNION*);
WIN32DLL_API D3DXQUATERNION* CALLMODE_API iMeshOrientation(MESH*,D3DXQUATERNION*);
WIN32DLL_API D3DXQUATERNION* CALLMODE_API iSkinMeshOrientation(SKINMESH*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iSkinMeshOrientationSet(SKINMESH*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iMeshLocationSet(MESH*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSkinMeshLocationSet(SKINMESH*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSkinMeshAnimationSpeedSet(SKINMESH*,float);
WIN32DLL_API void CALLMODE_API iSkinMeshAnimationTimeSet(SKINMESH*,float);
WIN32DLL_API void CALLMODE_API iMeshScaleSet(MESH*,float,float,float);
WIN32DLL_API void CALLMODE_API iMeshFogSet(MESH*,float,float);
WIN32DLL_API void CALLMODE_API iMeshSecondaryTextureSet(MESH*,char*,D3DXVECTOR2*,float,float);
WIN32DLL_API void CALLMODE_API iMeshSecondaryTextureSetFast(MESH*,D3DXVECTOR2*,float,float);
WIN32DLL_API void CALLMODE_API iMeshRenderModeSet(MESH*,DWORD,DWORD,BOOL,BOOL);
WIN32DLL_API void CALLMODE_API iSkinMeshRenderModeSet(SKINMESH*,DWORD,DWORD,BOOL,BOOL);
WIN32DLL_API void CALLMODE_API iMeshRenderPrioritySet(MESH*,int);
WIN32DLL_API void CALLMODE_API iSpriteRenderPrioritySet(SPRITE*,int);
WIN32DLL_API void CALLMODE_API iMeshZBiasSet(MESH*,int);
WIN32DLL_API void CALLMODE_API iSkinMeshRenderPrioritySet(SKINMESH*,int);
WIN32DLL_API void CALLMODE_API iMeshEmissiveSet(MESH*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iMeshAlphaSet(MESH*,float);
WIN32DLL_API void CALLMODE_API iMeshSpecularSet(MESH*,float,float);
WIN32DLL_API void CALLMODE_API iMeshEnvMapGlassSet(MESH*,float);
WIN32DLL_API void CALLMODE_API iSkinMeshEnvMapCasterAdd(SKINMESH*);
WIN32DLL_API void CALLMODE_API iSkinMeshEnvMapCasterRemove(SKINMESH*);
WIN32DLL_API void CALLMODE_API iMeshMirrorMake(MESH*,BOOL);
WIN32DLL_API void CALLMODE_API iMeshLocalLightsEnable(MESH*,BOOL);
WIN32DLL_API void CALLMODE_API iMeshWireframeEnable(MESH*,BOOL);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iMeshLocation(MESH*,D3DXVECTOR3*);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iSkinMeshLocation(SKINMESH*,D3DXVECTOR3*);
WIN32DLL_API BOOL CALLMODE_API iMeshPicked(CAMERA*,MESH*);
WIN32DLL_API BOOL CALLMODE_API iMeshRayCheck(MESH*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API BOOL CALLMODE_API iMeshBoundingSphereRayCheck(MESH*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API BOOL CALLMODE_API iSkinMeshBoundingSphereRayCheck(SKINMESH*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API float CALLMODE_API iMeshBoundingSphere(MESH*,D3DXVECTOR3*);
WIN32DLL_API float CALLMODE_API iSkinMeshBoundingSphere(SKINMESH*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iPickPoint(D3DXVECTOR3*);
WIN32DLL_API BOOL CALLMODE_API iMeshVisible(CAMERA*,MESH*);
WIN32DLL_API BOOL CALLMODE_API i3DPointVisible(CAMERA*,D3DXVECTOR3*);
WIN32DLL_API BOOL CALLMODE_API iSkinMeshVisible(CAMERA*,SKINMESH*);
WIN32DLL_API void CALLMODE_API iMeshOrientationAdd(MESH*,D3DXVECTOR3*,float);
WIN32DLL_API void CALLMODE_API iSkinMeshOrientationAdd(SKINMESH*,D3DXVECTOR3*,float);
WIN32DLL_API void CALLMODE_API iMeshStretchToSegment(MESH*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*,float);
WIN32DLL_API void CALLMODE_API iMeshHide(MESH*);
WIN32DLL_API void CALLMODE_API iMeshShow(MESH*);
WIN32DLL_API void CALLMODE_API iSkinMeshHide(SKINMESH*);
WIN32DLL_API void CALLMODE_API iSkinMeshShow(SKINMESH*);
WIN32DLL_API void CALLMODE_API iMeshTextureChange(MESH*,char*);
WIN32DLL_API void CALLMODE_API iMeshAlphaTextureChange(MESH*,char*);
WIN32DLL_API void CALLMODE_API iMeshVertexBufferDynamicMake(MESH*,BOOL);
WIN32DLL_API void CALLMODE_API iMeshVertexBufferOpen(MESH*,MESHVERTEX**);
WIN32DLL_API void CALLMODE_API iMeshVertexBufferClose(MESH*);
WIN32DLL_API int CALLMODE_API iMeshVertexBufferSize(MESH*);
WIN32DLL_API void CALLMODE_API iMeshVertexBufferSizeSet(MESH*,int);
WIN32DLL_API int CALLMODE_API iMeshFaceBufferSize(MESH*);
WIN32DLL_API void CALLMODE_API iMeshFaceBufferSizeSet(MESH*,int);
WIN32DLL_API void CALLMODE_API iMeshVertexBufferOriginal(MESH*,MESHVERTEX**);
WIN32DLL_API void CALLMODE_API iMeshFaceBufferOriginal(MESH*,MESHFACE**);
WIN32DLL_API void CALLMODE_API iMeshFaceBufferDynamicMake(MESH*,BOOL);
WIN32DLL_API void CALLMODE_API iMeshFaceBufferOpen(MESH*,MESHFACE**);
WIN32DLL_API void CALLMODE_API iMeshFaceBufferClose(MESH*);
WIN32DLL_API void CALLMODE_API iSpriteAlphaTextureChange(SPRITE*,char*);
WIN32DLL_API void CALLMODE_API iSpriteTextureChange(SPRITE*,char*);
WIN32DLL_API void CALLMODE_API iSpriteMipFilterModeSet(SPRITE*,DWORD);
WIN32DLL_API void CALLMODE_API iSpriteTextureModeSet(SPRITE*,DWORD);
WIN32DLL_API void CALLMODE_API iMeshTextureModeSet(MESH*,DWORD);
WIN32DLL_API void CALLMODE_API i3DLocationToScreen(D3DXVECTOR2*,D3DXVECTOR3*,CAMERA*);
WIN32DLL_API void CALLMODE_API iScreenRay(CAMERA*,D3DXVECTOR2*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iMeshTransfer(MESH*,BODY*);
WIN32DLL_API void CALLMODE_API iSkinMeshTransfer(SKINMESH*,BODY*);
WIN32DLL_API void CALLMODE_API iMeshDestroy(MESH*);
WIN32DLL_API void CALLMODE_API iSkinMeshDestroy(SKINMESH*);
WIN32DLL_API int CALLMODE_API iSkinMeshBonesCount(SKINMESH*);
WIN32DLL_API int CALLMODE_API iSkinMeshTexturesCount(SKINMESH*);
WIN32DLL_API void CALLMODE_API iSkinMeshEffectValueSet(SKINMESH*,char*,VOID*,UINT);
WIN32DLL_API void CALLMODE_API iSkinMeshEffectTextureSet(SKINMESH*,char*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iSkinMeshEffectDefaultEnable(SKINMESH*,BOOL,BOOL,BOOL);
WIN32DLL_API float CALLMODE_API iSkinMeshAnimationTime(SKINMESH*);
WIN32DLL_API float CALLMODE_API iSkinMeshAnimationLength(SKINMESH*);
WIN32DLL_API void CALLMODE_API iSkinMeshBoneName(SKINMESHBONE*,char*);
WIN32DLL_API SKINMESHBONE* CALLMODE_API iSkinMeshBoneCreate(SKINMESH*,int);
WIN32DLL_API SKINMESHBONE* CALLMODE_API iSkinMeshBoneCreateByName(SKINMESH*,char*);
WIN32DLL_API void CALLMODE_API iSkinMeshBoneDestroy(SKINMESHBONE*);
WIN32DLL_API SKINMESHBONE* CALLMODE_API iSkinMeshBoneChildFind(SKINMESHBONE*,int);
WIN32DLL_API SKINMESHBONE* CALLMODE_API iSkinMeshBoneParentFind(SKINMESHBONE*);
WIN32DLL_API D3DXQUATERNION* CALLMODE_API iSkinMeshBoneOrientation(SKINMESHBONE*,D3DXQUATERNION*,int);
WIN32DLL_API void CALLMODE_API iSkinMeshBoneOrientationSet(SKINMESHBONE*,D3DXQUATERNION*,int);
WIN32DLL_API void CALLMODE_API iSkinMeshBoneLookAt(SKINMESHBONE*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iSkinMeshBoneLocation(SKINMESHBONE*,D3DXVECTOR3*,int);
WIN32DLL_API void CALLMODE_API iSkinMeshBoneLocationSet(SKINMESHBONE*,D3DXVECTOR3*);
WIN32DLL_API D3DXVECTOR3* CALLMODE_API iSkinMeshBoneScaling(SKINMESHBONE*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSkinMeshBoneScalingSet(SKINMESHBONE*,D3DXVECTOR3*);
WIN32DLL_API MESH* CALLMODE_API iMeshShadowCasterCreate(char*,float);
WIN32DLL_API MESH* CALLMODE_API iMeshShadowCasterCreateFromMemory(char*,int,float);
WIN32DLL_API MESH* CALLMODE_API iMeshBodyShadowCasterCreate(char*,BODY*,float);
WIN32DLL_API MESH* CALLMODE_API iMeshBodyShadowCasterCreateFromMemory(char*,int,BODY*,float);
WIN32DLL_API void CALLMODE_API iMeshShadowCasterExtrusionSet(MESH*,float);
WIN32DLL_API void CALLMODE_API iMeshShadowCasterNormalsRecompute(MESH*);
WIN32DLL_API ENVMAP* CALLMODE_API iEnvMapCreate(char*);
WIN32DLL_API ENVMAP* CALLMODE_API iEnvMapCreateFromMemory(char*,int);
WIN32DLL_API void CALLMODE_API iEnvMapDestroy(ENVMAP*);
WIN32DLL_API void CALLMODE_API iMeshEnvMapCasterAdd(MESH*);
WIN32DLL_API void CALLMODE_API iMeshEnvMapCasterRemove(MESH*);
WIN32DLL_API void CALLMODE_API iSkyBoxEnvMapCasterAdd(SKYBOX*);
WIN32DLL_API void CALLMODE_API iSkyBoxEnvMapCasterRemove(SKYBOX*);
WIN32DLL_API void CALLMODE_API iParticleEnvMapCasterAdd(PARTICLE*);
WIN32DLL_API void CALLMODE_API iParticleEnvMapCasterRemove(PARTICLE*);
WIN32DLL_API void CALLMODE_API iTrailEnvMapCasterAdd(TRAIL*);
WIN32DLL_API void CALLMODE_API iTrailEnvMapCasterRemove(TRAIL*);
WIN32DLL_API TEXTURE* CALLMODE_API iTextureCreate(char*);
WIN32DLL_API TEXTURE* CALLMODE_API iTextureCreateFromMemory(char*,int,int);
WIN32DLL_API void CALLMODE_API iTextureDestroy(TEXTURE*);
WIN32DLL_API void CALLMODE_API iMeshTextureSwap(MESH*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iMeshBumpTextureSwap(MESH*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iSpriteTextureSet(SPRITE*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iSpriteTextureReset(SPRITE*);
WIN32DLL_API void CALLMODE_API iMeshTextureSet(MESH*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iParticleTextureSet(PARTICLE*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iTrailTextureSet(TRAIL*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iMeshTextureReset(MESH*);
WIN32DLL_API void CALLMODE_API iParticleTextureReset(PARTICLE*);
WIN32DLL_API void CALLMODE_API iTrailTextureReset(TRAIL*);
WIN32DLL_API void CALLMODE_API iMeshBumpTextureSet(MESH*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iMeshBumpTextureReset(MESH*);
WIN32DLL_API void CALLMODE_API iTextureToNormalMap(TEXTURE*);
WIN32DLL_API void CALLMODE_API iSpriteTextureSwap(SPRITE*,TEXTURE*);
WIN32DLL_API void CALLMODE_API iMeshEnvMapReceiverAdd(MESH*,ENVMAP*);
WIN32DLL_API void CALLMODE_API iEnvMapFocusSet(ENVMAP*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iEnvMapUpdateRateSet(ENVMAP*,float);
WIN32DLL_API void CALLMODE_API iMeshEnvMapBlendSet(MESH*,float);
WIN32DLL_API void CALLMODE_API iMeshTextureMipMapLodSet(MESH*,float);
WIN32DLL_API void CALLMODE_API iMeshBumpAmbientColorSet(MESH*,float,float,float);
WIN32DLL_API MESH* CALLMODE_API iMeshBumpCreate(char*,char*,BOOL);
WIN32DLL_API MESH* CALLMODE_API iMeshBumpCreateFromMemory(char*,int,char*,int,int,char*,int,int,BOOL);
WIN32DLL_API int CALLMODE_API iMeshPartCount(char*,BOOL);
WIN32DLL_API int CALLMODE_API iMeshPartCountFromMemory(char*,int,BOOL);
WIN32DLL_API MESH* CALLMODE_API iBodyMeshBumpCreateFromMemory(char*,int,char*,int,int,char*,int,int,BOOL,BODY*);
WIN32DLL_API SPRITE* CALLMODE_API iSpriteCreate(char*,CAMERA*);
WIN32DLL_API SPRITE* CALLMODE_API iSpriteCreateFromMemory(char*,int,char*,int,int,CAMERA*);
WIN32DLL_API void CALLMODE_API iSpriteSet(SPRITE*,D3DXVECTOR2*,float,D3DXVECTOR2*);
WIN32DLL_API void CALLMODE_API iSpriteOrientationSet(SPRITE*,float);
WIN32DLL_API void CALLMODE_API iSpriteLocationSet(SPRITE*,D3DXVECTOR2*);
WIN32DLL_API void CALLMODE_API iSpriteScaleSet(SPRITE*,D3DXVECTOR2*);
WIN32DLL_API void CALLMODE_API iSpriteColorSet(SPRITE*,float,float,float,float);
WIN32DLL_API void CALLMODE_API iPrintColorSet(float,float,float,float);
WIN32DLL_API void CALLMODE_API iSpritePrioritySet(SPRITE*,int);
WIN32DLL_API void CALLMODE_API iSpriteRenderModeSet(SPRITE*,DWORD,DWORD);
WIN32DLL_API void CALLMODE_API iSpriteHide(SPRITE*);
WIN32DLL_API void CALLMODE_API iSpriteShow(SPRITE*);
WIN32DLL_API void CALLMODE_API iSpriteLocation(SPRITE*,D3DXVECTOR2*);
WIN32DLL_API BOOL CALLMODE_API iSpritePicked(SPRITE*);
WIN32DLL_API void CALLMODE_API iSpriteRender(SPRITE*,BOOL);
WIN32DLL_API void CALLMODE_API iSpriteDestroy(SPRITE*);
WIN32DLL_API PARTICLE* CALLMODE_API iParticleCreate(char*,int);
WIN32DLL_API PARTICLE* CALLMODE_API iParticleCreateFromMemory(char*,int,int,int);
WIN32DLL_API TRAIL* CALLMODE_API iTrailCreateFromMemory(char*,int,int,int);
WIN32DLL_API void CALLMODE_API iParticleDestroy(PARTICLE*);
WIN32DLL_API EMITTER* CALLMODE_API iParticleEmitterCreate(PARTICLE*);
WIN32DLL_API void CALLMODE_API iParticleRenderModeSet(PARTICLE*,int);
WIN32DLL_API void CALLMODE_API iParticleLifeTimeSet(PARTICLE*,float);
WIN32DLL_API void CALLMODE_API iParticleAirResistanceSet(PARTICLE*,float);
WIN32DLL_API void CALLMODE_API iParticleGravitySet(PARTICLE*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iParticleColorSet(PARTICLE*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iParticleHide(PARTICLE*);
WIN32DLL_API void CALLMODE_API iParticleShow(PARTICLE*);
WIN32DLL_API void CALLMODE_API iParticleReset(PARTICLE*);
WIN32DLL_API void CALLMODE_API iParticleEmitterEmit(EMITTER*,float,float);
WIN32DLL_API void CALLMODE_API iParticleEmitterDestroy(EMITTER*);
WIN32DLL_API void CALLMODE_API iTrailEmitterDestroy(TRAILEMITTER*);
WIN32DLL_API void CALLMODE_API iParticleEmitterLocationSet(EMITTER*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iParticleEmitterDirectionSet(EMITTER*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iParticleEmitterSpeedSet(EMITTER*,float,float);
WIN32DLL_API void CALLMODE_API iParticleEmitterScaleSet(EMITTER*,D3DXVECTOR2*,D3DXVECTOR2*);
WIN32DLL_API TRAIL* CALLMODE_API iTrailCreate(char*,int);
WIN32DLL_API void CALLMODE_API iTrailDestroy(TRAIL*);
WIN32DLL_API TRAILEMITTER* CALLMODE_API iTrailEmitterCreate(TRAIL*);
WIN32DLL_API void CALLMODE_API iTrailRenderModeSet(TRAIL*,int);
WIN32DLL_API void CALLMODE_API iTrailLifeTimeSet(TRAIL*,float);
WIN32DLL_API void CALLMODE_API iTrailColorSet(TRAIL*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iTrailHide(TRAIL*);
WIN32DLL_API void CALLMODE_API iTrailShow(TRAIL*);
WIN32DLL_API void CALLMODE_API iTrailReset(TRAIL*);
WIN32DLL_API void CALLMODE_API iTrailEmitterEmit(TRAILEMITTER*,float,float);
WIN32DLL_API void CALLMODE_API iTrailEmitterCut(TRAILEMITTER*);
WIN32DLL_API void CALLMODE_API iTrailEmitterLocationSet(TRAILEMITTER*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iTrailEmitterOrientationSet(TRAILEMITTER*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iTrailEmitterScaleSet(TRAILEMITTER*,float scale);
WIN32DLL_API float CALLMODE_API iFrameRate(BOOL);
WIN32DLL_API void CALLMODE_API iRenderingEnable();
WIN32DLL_API void CALLMODE_API iRenderingDisable();
WIN32DLL_API void CALLMODE_API iMovieSaveStart(char*,int);
WIN32DLL_API void CALLMODE_API iMovieSaveStop();
WIN32DLL_API void CALLMODE_API iEdgeCollisionCheckSet(BOOL);
WIN32DLL_API void CALLMODE_API iBoundingSphereCollisionCheckSet(BOOL);
WIN32DLL_API void CALLMODE_API iBoundingSphereFrustumCheckSet(BOOL);
WIN32DLL_API void CALLMODE_API iFogColorSet(int,int,int);
WIN32DLL_API void CALLMODE_API iShadowColorSet(D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iBackgroundColorSet(int,int,int);
WIN32DLL_API void CALLMODE_API iMirrorPlaneSet(D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iMirrorShadowsSet(BOOL);
WIN32DLL_API void CALLMODE_API iCleanResetEnable(BOOL);
WIN32DLL_API BOOL CALLMODE_API iKeyDown(int);
WIN32DLL_API BOOL CALLMODE_API iKeyClick(int);
WIN32DLL_API void CALLMODE_API iKeyUpWait(int);
WIN32DLL_API void CALLMODE_API iMouseResolutionSet(int);
WIN32DLL_API BOOL CALLMODE_API iMouseButtonDown(int);
WIN32DLL_API BOOL CALLMODE_API iMouseButtonClick(int);
WIN32DLL_API void CALLMODE_API iMouseButtonUpWait(int);
WIN32DLL_API float CALLMODE_API iMouseX();
WIN32DLL_API float CALLMODE_API iMouseY();
WIN32DLL_API void CALLMODE_API iMouseWinModeSet(BOOL);
WIN32DLL_API float CALLMODE_API iMouseZ(BOOL);
WIN32DLL_API void CALLMODE_API iMouseZSet(float);
WIN32DLL_API void CALLMODE_API iWindowsMouseHide(BOOL);
WIN32DLL_API void CALLMODE_API iMouseReset(D3DXVECTOR2*);
WIN32DLL_API int CALLMODE_API iJoyCount();
WIN32DLL_API char* CALLMODE_API iJoyName(int);
WIN32DLL_API BOOL CALLMODE_API iJoyButtonDown(int,int);
WIN32DLL_API BOOL CALLMODE_API iJoyButtonClick(int,int);
WIN32DLL_API void CALLMODE_API iJoyButtonUpWait(int,int);
WIN32DLL_API void CALLMODE_API iJoyAverageCenterWait(int joy,float);
WIN32DLL_API float CALLMODE_API iJoyX(int);
WIN32DLL_API float CALLMODE_API iJoyY(int);
WIN32DLL_API float CALLMODE_API iJoyZ(int);
WIN32DLL_API float CALLMODE_API iJoyXAverage(int,float);
WIN32DLL_API float CALLMODE_API iJoyYAverage(int,float);
WIN32DLL_API float CALLMODE_API iJoyZAverage(int,float);
WIN32DLL_API FONT* CALLMODE_API iFontCreate(char*,CAMERA*);
WIN32DLL_API FONT* CALLMODE_API iFontCreateFromMemory(char*,int,char**,int*,char*,int,int,CAMERA*);
WIN32DLL_API void CALLMODE_API iFontDestroy(FONT*);
WIN32DLL_API void CALLMODE_API iPrint(char*,D3DXVECTOR2*,D3DXVECTOR2*,float,FONT*);
WIN32DLL_API void CALLMODE_API iPrintCentered(char*,D3DXVECTOR2*,D3DXVECTOR2*,float,FONT*,float);
WIN32DLL_API float CALLMODE_API iPrintWidth(char*,D3DXVECTOR2*,float,FONT*);
WIN32DLL_API void CALLMODE_API iPrintsHide();
WIN32DLL_API SPRING* CALLMODE_API iSpringCreate(BODY*,D3DXVECTOR3*,BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSpringDestroy(SPRING*);
WIN32DLL_API void CALLMODE_API iSpringBodySet(SPRING*,BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSpringTargetBodySet(SPRING*,BODY*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSpringSet(SPRING*,float);
WIN32DLL_API void CALLMODE_API iSpringDampingSet(SPRING*,float);
WIN32DLL_API void CALLMODE_API iSpringDisable(SPRING*);
WIN32DLL_API void CALLMODE_API iSpringEnable(SPRING*);
WIN32DLL_API BOOL CALLMODE_API iAudioIsAvailable();
WIN32DLL_API BOOL CALLMODE_API iPixelShadersSupported();
WIN32DLL_API BOOL CALLMODE_API iEnvMapsSupported();
WIN32DLL_API BOOL CALLMODE_API iDynamicEnvMapsSupported();
WIN32DLL_API void CALLMODE_API iListenerCameraSet(CAMERA*);
WIN32DLL_API void CALLMODE_API iListenerDopplerSet(float);
WIN32DLL_API SOUND* CALLMODE_API iSoundCreate(char*,BOOL);
WIN32DLL_API SOUND* CALLMODE_API iSoundOggCreate(char*,BOOL,int);
WIN32DLL_API SOUND* CALLMODE_API iSoundOggCreateFromMemory(char*,int,BOOL,int);
WIN32DLL_API void CALLMODE_API iSoundPlay(SOUND*,BOOL);
WIN32DLL_API void CALLMODE_API iSoundPlayNow(SOUND*,BOOL);
WIN32DLL_API BOOL CALLMODE_API iSoundPlaying(SOUND*);
WIN32DLL_API void CALLMODE_API iSoundStop(SOUND*,int);
WIN32DLL_API void CALLMODE_API iSoundLocationSet(SOUND*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSoundVelocitySet(SOUND*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSoundFrequencySet(SOUND*,int);
WIN32DLL_API void CALLMODE_API iSoundVolumeSet(SOUND*,float);
WIN32DLL_API void CALLMODE_API iSoundDestroy(SOUND*);
WIN32DLL_API void CALLMODE_API iVectorBodyToWorldTransform(D3DXVECTOR3*,D3DXVECTOR3*,BODY*,int);
WIN32DLL_API void CALLMODE_API iVectorBodyToWorldRotate(D3DXVECTOR3*,D3DXVECTOR3*,BODY*,int);
WIN32DLL_API void CALLMODE_API iVectorWorldToBodyTransform(D3DXVECTOR3*,D3DXVECTOR3*,BODY*);
WIN32DLL_API void CALLMODE_API iVectorWorldToBodyRotate(D3DXVECTOR3*,D3DXVECTOR3*,BODY*);
WIN32DLL_API void CALLMODE_API iVectorRotate(D3DXVECTOR3*,D3DXVECTOR3*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iVectorEulerRotate(D3DXVECTOR3*,D3DXVECTOR3*,float,float,float,char*);
WIN32DLL_API void CALLMODE_API iVectorMeshToWorldRotate(D3DXVECTOR3*,D3DXVECTOR3*,MESH*);
WIN32DLL_API void CALLMODE_API iVectorWorldToMeshTransform(D3DXVECTOR3*,D3DXVECTOR3*,MESH*);
WIN32DLL_API void CALLMODE_API iVectorWorldToMeshRotate(D3DXVECTOR3*,D3DXVECTOR3*,MESH*);
WIN32DLL_API void CALLMODE_API iPlaneFromPointNormal(D3DXPLANE*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iPlaneFromPoints(D3DXPLANE*,D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API BOOL CALLMODE_API iPlaneLineIntersection(D3DXVECTOR3*,D3DXPLANE*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iVectorModelToBodyTransform(D3DXVECTOR3*,D3DXVECTOR3*,BODY*);
WIN32DLL_API void CALLMODE_API iVectorBodyToModelTransform(D3DXVECTOR3*,D3DXVECTOR3*,BODY*);
WIN32DLL_API void CALLMODE_API iVectorSkinMeshToWorldTransform(D3DXVECTOR3*,D3DXVECTOR3*,SKINMESH*);
WIN32DLL_API void CALLMODE_API iVectorSkinMeshToWorldRotate(D3DXVECTOR3*,D3DXVECTOR3*,SKINMESH*);
WIN32DLL_API void CALLMODE_API iVectorWorldToSkinMeshTransform(D3DXVECTOR3*,D3DXVECTOR3*,SKINMESH*);
WIN32DLL_API void CALLMODE_API iVectorWorldToSkinMeshRotate(D3DXVECTOR3*,D3DXVECTOR3*,SKINMESH*);
WIN32DLL_API void CALLMODE_API iVectorsAngleToQuaternion(D3DXQUATERNION*,D3DXVECTOR3*,D3DXVECTOR3*,float);
WIN32DLL_API float CALLMODE_API iVectorsAngle(D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API float CALLMODE_API iVectorLength(D3DXVECTOR3*);
WIN32DLL_API float CALLMODE_API iVectorLengthSq(D3DXVECTOR3*);
WIN32DLL_API float CALLMODE_API iVectorDot(D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iVectorCross(D3DXVECTOR3*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iVectorLengthSet(D3DXVECTOR3*,D3DXVECTOR3*,float);
WIN32DLL_API void CALLMODE_API iQuaternionInterpolate(D3DXQUATERNION*,D3DXQUATERNION*,D3DXQUATERNION*,float);
WIN32DLL_API void CALLMODE_API iQuaternionSpline(D3DXQUATERNION*,D3DXQUATERNION*,D3DXQUATERNION*,D3DXQUATERNION*,D3DXQUATERNION*,float);
WIN32DLL_API void CALLMODE_API iVectorMeshToWorldTransform(D3DXVECTOR3*,D3DXVECTOR3*,MESH*);
WIN32DLL_API void CALLMODE_API iQuaternionLookAt(D3DXQUATERNION*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iQuaternionMultiply(D3DXQUATERNION*,D3DXQUATERNION*,D3DXQUATERNION*);
WIN32DLL_API void CALLMODE_API iFloatTendTo(float*,float,float);
WIN32DLL_API void CALLMODE_API iFloatClamp(float*,float,float);
WIN32DLL_API void CALLMODE_API iFloatAdd(float*,float);
WIN32DLL_API int CALLMODE_API iIntRand(int,int);
WIN32DLL_API void CALLMODE_API iIntClamp(int*,int,int);
WIN32DLL_API float CALLMODE_API iFloatAbs(float); 
WIN32DLL_API float CALLMODE_API iFloatRand(float,float); 
WIN32DLL_API float CALLMODE_API iSignRand();
WIN32DLL_API float CALLMODE_API iFloatInterpolate(float,float,float,float,float,BOOL);
WIN32DLL_API void CALLMODE_API iGDISurfaceShow();
WIN32DLL_API void CALLMODE_API iGDISurfaceHide();
WIN32DLL_API HWND CALLMODE_API iWindow();
WIN32DLL_API void CALLMODE_API iWindowCenter(HWND,HWND);
WIN32DLL_API void CALLMODE_API iDLLFile(char*);
WIN32DLL_API void CALLMODE_API iMeshTexturePath(MESH*,char*);
WIN32DLL_API void CALLMODE_API iCommandLineFile(char*);
WIN32DLL_API BOOL CALLMODE_API iFileOpenDialog(char*,char*,char*,BOOL);
WIN32DLL_API BOOL CALLMODE_API iFileOpenDialogNameExtract(char*,char*,int);
WIN32DLL_API BOOL CALLMODE_API iFileSaveDialog(char*,char*,char*,BOOL);
WIN32DLL_API BOOL CALLMODE_API iFolderSelectDialog(char*,char*);
WIN32DLL_API void CALLMODE_API iFileDialogSizeSet(int,int);
WIN32DLL_API void CALLMODE_API iFileDialogPositionSet(int,int);
WIN32DLL_API void CALLMODE_API iFileDialogViewModeSet(int);
WIN32DLL_API void CALLMODE_API iMessageBox(char*);
WIN32DLL_API BOOL CALLMODE_API iMessageBoxYesNo(char*,int);
WIN32DLL_API void CALLMODE_API iExit();
WIN32DLL_API void CALLMODE_API iEscEnable(BOOL);
WIN32DLL_API void CALLMODE_API iSettingsPanelSkip(BOOL);
WIN32DLL_API int CALLMODE_API iDisplayMode();
WIN32DLL_API void CALLMODE_API iTextureMipLevelsSet(int);
WIN32DLL_API void CALLMODE_API iTextureMipFilterSet(int);
WIN32DLL_API void CALLMODE_API iProcessMessages();
WIN32DLL_API void CALLMODE_API iRender();
WIN32DLL_API void CALLMODE_API iGlobalPathMake(char*,char*);
WIN32DLL_API void CALLMODE_API iXToPlyPolConvert(char*,char*,float);
WIN32DLL_API void CALLMODE_API iXToSpgConvert(char*,char*);
WIN32DLL_API void CALLMODE_API iXToSkyConvert(char*,char*);
WIN32DLL_API void CALLMODE_API iChangeExtension(char*,char*,char*);
WIN32DLL_API BOOL CALLMODE_API iFileExists(char*);
WIN32DLL_API BOOL CALLMODE_API iFileImageSize(char*,int*,int*);
WIN32DLL_API void CALLMODE_API iFilePathOnly(char*,char*);
WIN32DLL_API void CALLMODE_API iFileNameOnly(char*,char*);
WIN32DLL_API void CALLMODE_API iFileExtOnly(char*,char*);
WIN32DLL_API void CALLMODE_API iScreenShot(char* fileName);
WIN32DLL_API void CALLMODE_API iWindowTitleSet(char*);
WIN32DLL_API float CALLMODE_API iFrq();
WIN32DLL_API void CALLMODE_API iSimulationFrqSet(float);
WIN32DLL_API void CALLMODE_API iFrqSet(float);
WIN32DLL_API void CALLMODE_API iPhysicsAccuracySet(float);
WIN32DLL_API void CALLMODE_API iShadowDisplacementSet(float);
WIN32DLL_API void CALLMODE_API iGammaSet(float,float,float,float,float,float);
WIN32DLL_API float CALLMODE_API iSystemTimer();
WIN32DLL_API int CALLMODE_API iTic();
WIN32DLL_API void CALLMODE_API iScreenWipe(int,int,int);
WIN32DLL_API BOOL CALLMODE_API iNetServerStart(char*,char*,int,DWORD,int);
WIN32DLL_API BOOL CALLMODE_API iNetPlayersChanged();
WIN32DLL_API BOOL CALLMODE_API iNetSessionTerminated();
WIN32DLL_API int CALLMODE_API iNetPlayersCount();
WIN32DLL_API BOOL CALLMODE_API iNetClientStart(char*,char*,DWORD,int,char*,int,int,SPRITE*);
WIN32DLL_API void CALLMODE_API iNetStop();
WIN32DLL_API void CALLMODE_API iNetClientDisconnect(DWORD);
WIN32DLL_API void CALLMODE_API iNetDataSend(char*,int,DWORD,DWORD,BOOL);
WIN32DLL_API int CALLMODE_API iNetPlayerMachine(DWORD);
WIN32DLL_API int CALLMODE_API iNetLocalPlayerMachine();
WIN32DLL_API BOOL CALLMODE_API iNetPlayerId(int,DWORD*);
WIN32DLL_API BOOL CALLMODE_API iNetPlayerName(DWORD,char*);
WIN32DLL_API int CALLMODE_API iNetDataDiscard();
WIN32DLL_API int CALLMODE_API iNetData(VOID*,DWORD*,DWORD*);
WIN32DLL_API float CALLMODE_API iNetLag(DWORD);
WIN32DLL_API int CALLMODE_API iNetBPS(DWORD);
WIN32DLL_API int CALLMODE_API iNetBytesSent(DWORD);
WIN32DLL_API int CALLMODE_API iNetBytesReceived(DWORD);
WIN32DLL_API float CALLMODE_API iNetClientSync();
WIN32DLL_API float CALLMODE_API iNetMinimumLag();
WIN32DLL_API void CALLMODE_API iNetServerSendFrqSet(float);
WIN32DLL_API void CALLMODE_API iNetClientSendFrqSet(float);
WIN32DLL_API BODYSYNC* CALLMODE_API iNetBodySyncCreate(BODY*,float);
WIN32DLL_API void CALLMODE_API iNetBodySyncDestroy(BODYSYNC*);
WIN32DLL_API FLOATSYNC* CALLMODE_API iNetFloatSyncCreate(float*,float,float,float);
WIN32DLL_API void CALLMODE_API iNetFloatSyncDestroy(FLOATSYNC*);
WIN32DLL_API BOOL CALLMODE_API iNetFloatSyncUpdate(FLOATSYNC*,float);
WIN32DLL_API void CALLMODE_API iNetClientReset();
WIN32DLL_API void CALLMODE_API iNetIgnoreContacts(BOOL);
WIN32DLL_API void CALLMODE_API iReset(BOOL,BOOL);
WIN32DLL_API unsigned char CALLMODE_API iTypedChar(BOOL);
WIN32DLL_API void CALLMODE_API iMeshBuffersSharingSet(BOOL);
WIN32DLL_API void CALLMODE_API iMeshTextureSharingSet(BOOL);
WIN32DLL_API void CALLMODE_API iBodyBodyEnable(BODYBODY*,BOOL);
WIN32DLL_API void CALLMODE_API iBodyBodyCollisionResponseEnable(BODYBODY*,BOOL);
WIN32DLL_API void CALLMODE_API iJoyState(int,DIJOYSTATE2*);
WIN32DLL_API void CALLMODE_API iBodySurfaceStickinessSet(BODY*,float);
WIN32DLL_API void CALLMODE_API iBodyMassModelSet(BODY*,char*,float);
WIN32DLL_API void CALLMODE_API iBodySurfaceDriveSet(BODY*,float);
WIN32DLL_API int CALLMODE_API iSoundFrequency(SOUND*);

typedef void (__stdcall *TYPE_3impactDLLPreRender)(CAMERA*);
WIN32DLL_API void CALLMODE_API i3ImpactPreRenderCallbackSet(TYPE_3impactDLLPreRender);

WIN32DLL_API void CALLMODE_API iSkinMeshScaleSet(SKINMESH*,float,float,float);
WIN32DLL_API void CALLMODE_API iDisplayData(char*,RECT*);
WIN32DLL_API void CALLMODE_API iSkinMeshEffectEnvTextureSet(SKINMESH*,char*,ENVMAP*);
WIN32DLL_API DWORD CALLMODE_API iSkinMeshEffectCreate(char*);
WIN32DLL_API void CALLMODE_API iSkinMeshEffectDestroy(DWORD);
WIN32DLL_API void CALLMODE_API iSkinMeshEffectSet(SKINMESH*,DWORD);
WIN32DLL_API void CALLMODE_API iLightDirectionalColor(D3DXVECTOR4*);
WIN32DLL_API BOOL CALLMODE_API iSkinMeshPicked(CAMERA*,SKINMESH*);
WIN32DLL_API BOOL CALLMODE_API iSkinMeshRayCheck(SKINMESH*,D3DXVECTOR3*,D3DXVECTOR3*);
WIN32DLL_API void CALLMODE_API iSkinMeshTextureMipMapLodSet(SKINMESH*,float);
WIN32DLL_API DWORD CALLMODE_API iRenderingDevice();
WIN32DLL_API BOOL CALLMODE_API iJoyForceSet(int,D3DXVECTOR3*);
WIN32DLL_API DWORD CALLMODE_API iSkinMeshAnimationSet(SKINMESH*,char*);
WIN32DLL_API void CALLMODE_API iSkinMeshAnimationSetSet(SKINMESH*,DWORD,float,BOOL,BOOL);
WIN32DLL_API void CALLMODE_API iSkinMeshAnimationDataCompress(SKINMESH*,float);
WIN32DLL_API int CALLMODE_API iSkinMeshAnimationSetCount(SKINMESH*);
WIN32DLL_API void CALLMODE_API iSpriteCameraSet(SPRITE*,CAMERA*);
WIN32DLL_API void CALLMODE_API iFontCameraSet(FONT*,CAMERA*);
WIN32DLL_API DWORD CALLMODE_API iCameraEffectCreate(char*);
WIN32DLL_API void CALLMODE_API iCameraEffectDestroy(DWORD);
WIN32DLL_API void CALLMODE_API iCameraEffectSet(CAMERA*,DWORD);
WIN32DLL_API void CALLMODE_API iCameraEffectValueSet(CAMERA*,char*,VOID*,UINT);
WIN32DLL_API void CALLMODE_API iCameraEffectTextureSet(CAMERA*,char*,TEXTURE*);
WIN32DLL_API int CALLMODE_API iVertexShaderVersion(BOOL);
WIN32DLL_API int CALLMODE_API iPixelShaderVersion(BOOL);
WIN32DLL_API void CALLMODE_API iResourcesTrackEnable(BOOL);
WIN32DLL_API void CALLMODE_API iResourcesTrackSave(char*);
WIN32DLL_API void CALLMODE_API iShadowCasterCreateMode(BOOL);
WIN32DLL_API void CALLMODE_API iCameraEffectStack(CAMERA*,DWORD,float);
WIN32DLL_API int CALLMODE_API iDisplayWidth();
WIN32DLL_API int CALLMODE_API iDisplayHeight();
WIN32DLL_API void CALLMODE_API iTrailEmitterExpansionSpeedSet(TRAILEMITTER*,float);
}
