Type ENVMAP Extends i3ImpactBase

	Method Destroy()
		_iEnvMapDestroy(objptr)
		objptr=Null
	EndMethod
	
	Method FocusSet(viewpointLocation:D3DXVECTOR3)
		_iEnvMapFocusSet(objptr,viewpointLocation.param())
	EndMethod
	
	Method UpdateRateSet(frequency:Float)
		_iEnvMapUpdateRateSet(objptr,frequency)
	EndMethod
EndType

Function iEnvMapCreate:ENVMAP(dds_filename:String,generateFunc:Byte Ptr=Null)
	Return _g_3IEngine.EnvMapCreate(dds_filename,generateFunc)
EndFunction

Function iEnvMapCreateFromMemory:ENVMAP(dds_filemem_ptr:Byte Ptr,dds_memsize:Int,generateFunc:Byte Ptr=Null)
	Return _g_3IEngine.EnvMapCreateFromMemory(dds_filemem_ptr,dds_memsize,generateFunc)
EndFunction

Function iEnvMapDestroy(env:ENVMAP)
	env.Destroy()
EndFunction

Function iEnvMapFocusSet(env:ENVMAP,viewpointLocation:D3DXVECTOR3)
	env.FocusSet(viewpointLocation)
EndFunction

Function iEnvMapUpdateRateSet(env:ENVMAP,frequency:Float)
	env.UpdateRateSet(frequency)
EndFunction

Extern
	' ENVIRONMENT-MAP
	Function _iEnvMapCreate:Byte Ptr(dds_filename$z)="iEnvMapCreate" ' returns ENVMAP*
	Function _iEnvMapCreateFromMemory:Byte Ptr(dds_filemem_ptr:Byte Ptr,dds_memsize:Int)="iEnvMapCreateFromMemory" ' returns ENVMAP*
	Function _iEnvMapDestroy(ENVMAP:Byte Ptr)="iEnvMapDestroy"
	Function _iEnvMapFocusSet(ENVMAP:Byte Ptr,D3DXVECTOR3_viewpointLocation:Byte Ptr)="iEnvMapFocusSet"
	Function _iEnvMapUpdateRateSet(ENVMAP:Byte Ptr,frequency:Float)="iEnvMapUpdateRateSet"
EndExtern
